Update team

Replace the team definition. Use GET to fetch current data if you intend to add fields without overwriting existing values.

Replace the team definition. Use GET to fetch current data if you intend to add fields without overwriting existing values.

patchhttps://statsigapi.net/console/v1/users/teams/{id}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Body

application/json
namestring

The name of the team.

descriptionstring

Description of the team.

idstring

The ID of the team.

membersstring[]

Array of member email addresses in the team.

adminsstring[]

Array of admin email addresses in the team.

defaultGateMetricsobject[]

Default gate metrics for the team.

Show child attributes
namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultExperimentPrimaryMetricsobject[]

Default primary metrics for experiments in the team.

Show child attributes
namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultExperimentSecondaryMetricsobject[]

Default secondary metrics for experiments in the team.

Show child attributes
namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultHoldoutMetricsobject[]

Default holdout metrics for the team.

Show child attributes
namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

changeTeamConfigsstring

Who can change team configurations: "anyone" or "team_only".

Allowed values:anyoneteam_only
reviewApprovalstring

Who can review and approve changes: "anyone", "team_only", or "admin_only".

Allowed values:anyoneteam_onlyadmin_only
defaultTargetApplicationsstring[]

Default target applications for the team.

defaultHoldoutIDstring

Default holdout ID for the team, if applicable.

Constraints:nullable
requireReviewsboolean

Whether reviews are required for changes, if applicable.

Constraints:nullable
requireGateTemplatesboolean

Whether gate templates are required for the team, if applicable.

Constraints:nullable
requireExperimentTemplatesboolean

Whether experiment templates are required for the team, if applicable.

Constraints:nullable
requireDynamicConfigTemplatesboolean

Whether dynamic config templates are required for the team, if applicable.

Constraints:nullable

Response

application/json
200· Update team response
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
namestringrequired

The name of the team.

descriptionstring

Description of the team.

idstringrequired

The ID of the team.

defaultGateMetricsobject[]required

Default gate metrics for the team.

namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultExperimentPrimaryMetricsobject[]required

Default primary metrics for experiments in the team.

namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultExperimentSecondaryMetricsobject[]required

Default secondary metrics for experiments in the team.

namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultHoldoutMetricsobject[]required

Default holdout metrics for the team.

namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

changeTeamConfigsstringrequired

Who can change team configurations: "anyone" or "team_only".

Allowed values:anyoneteam_only
reviewApprovalstringrequired

Who can review and approve changes: "anyone", "team_only", or "admin_only".

Allowed values:anyoneteam_onlyadmin_only
defaultTargetApplicationsstring[]required

Default target applications for the team.

defaultHoldoutIDstring

Default holdout ID for the team, if applicable.

Constraints:nullable
requireReviewsboolean

Whether reviews are required for changes, if applicable.

Constraints:nullable
requireGateTemplatesboolean

Whether gate templates are required for the team, if applicable.

Constraints:nullable
requireExperimentTemplatesboolean

Whether experiment templates are required for the team, if applicable.

Constraints:nullable
requireDynamicConfigTemplatesboolean

Whether dynamic config templates are required for the team, if applicable.

Constraints:nullable
membersobject[]required
userIDstringrequired

The user's unique ID.

emailstringrequired

The email address of the user.

Constraints:format: email
firstNamestringrequired

The user's first name.

lastNamestringrequired

The user's last name.

rolestringrequired

The user's role, which can be 'Admin', 'Read Only', 'Member', or any custom role name.

adminsobject[]required
userIDstringrequired

The user's unique ID.

emailstringrequired

The email address of the user.

Constraints:format: email
firstNamestringrequired

The user's first name.

lastNamestringrequired

The user's last name.

rolestringrequired

The user's role, which can be 'Admin', 'Read Only', 'Member', or any custom role name.

400· Invalid request. Please check the request input and try again.
statusintegerrequired
Allowed values:400
messagestringrequired
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired

Was this helpful?